%define base_name    xen
%define name        %{base_name}-uptodate

Name:       %{name}
Version:    3.0.4 
Release:    %mkrel 1
Summary:    The basic tools for managing XEN virtual machines.
Group:      Utilities
License:    GPL
Source0:    %{base_name}-%{version}_1-src.tar.bz2
Source1:    bash-completion
Requires: python-twisted-core
Requires: python
Requires: module-init-tools
Requires: iptables
Requires: bridge-utils
Requires: glibc-xen
BuildRequires:	SDL-devel
BuildRequires:	curl-devel
Buildrequires:	dev86-devel
BuildRequires:  libext2fs-devel
BuildRequires:	ncurses-devel
BuildRequires:	libpython-devel >= 2.4
BuildRequires:	zlib-devel
BuildRequires:  libvncserver-devel
BuildRequires:  tetex-latex
BuildRequires:  texi2html
Provides:       %{base_name}
Conflicts:      %{base_name}
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description 
The basic tools for managing XEN virtual machines.

%prep
%setup -q -n %{base_name}-%{version}_1-src

%build

# clean all stuff
make clean
export CFLAGS="$CFLAGS -fno-strict-aliasing"
export HOSTCC="$HOSTCC -fno-strict-aliasing"
%make -C tools 
%make -C xen 
%make -C docs


%install
export DONT_GPRINTIFY=1
rm -rf %{buildroot}
make DESTDIR=%{buildroot} -C tools install
make DESTDIR=%{buildroot} -C xen install

# fix man pages
install -d -m 755 %{buildroot}%{_datadir}/man/man{1,5}
install -m 644 docs/man1/* %{buildroot}%{_datadir}/man/man1
install -m 644 docs/man5/* %{buildroot}%{_datadir}/man/man5

# bash completion
install -m 755 -d %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/bash_completion.d/xen

# remove installed doc
rm -rf %{buildroot}%{_docdir}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README docs/ps/* docs/pdf/* tools/ioemu/*.html
%config(noreplace) %{_sysconfdir}/sysconfig/xendomains
%config(noreplace) %{_sysconfdir}/udev/rules.d/xen-backend.rules
%config(noreplace) %{_sysconfdir}/udev/xen-backend.rules
%config(noreplace) %{_sysconfdir}/xen
%{_mandir}/man*/*
%{_libdir}/xen
%if "%{_lib}" != "lib"
%{_prefix}/lib/xen
%endif
%{_libdir}/fs
%{_libdir}/python/xen
%{_libdir}/python/grub/*
%{_libdir}/python/fsimage.so
%{_libdir}/python/pygrub-0.3-py2.5.egg-info
%{_libdir}/python/xen-3.0-py2.5.egg-info
%{_libdir}/libxenstore*
%{_libdir}/libxenctrl*
%{_libdir}/libxenguest*
%{_libdir}/libblktap*
%{_libdir}/libfsimage*
%{_datadir}/xen
%dir /var/lib/xenstored
%dir /var/run/xenstored
/boot/xen*
%{_includedir}/xen
%{_includedir}/*.h
%{_sysconfdir}/init.d/xend
%{_sysconfdir}/init.d/xendomains
%{_sbindir}/xenstored
%{_sbindir}/netfix
%{_sbindir}/xm
%{_sbindir}/xend
%{_sbindir}/xenperf
%{_sbindir}/xenconsoled
%{_sbindir}/xentop
%{_sbindir}/xen-bugtool
%{_sbindir}/xenbaked
%{_sbindir}/xenmon.py
%{_sbindir}/blktapctrl
%{_sbindir}/img2qcow
%{_sbindir}/qcow-create
%{_sbindir}/qcow2raw
%{_sbindir}/tapdisk
%{_sbindir}/xentrace_setmask
%{_bindir}/xenperf
%{_bindir}/xc_shadow
%{_bindir}/xencons
%{_bindir}/lomount
%{_bindir}/xentrace
%{_bindir}/xentrace_format
%{_bindir}/xentrace_setsize
%{_bindir}/xenstore-*
%{_bindir}/pygrub
%{_sysconfdir}/bash_completion.d/xen


%changelog
* Tue Mar 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.0.4-1mdv2007.1
+ Revision: 146815
- Imported xen-uptodate-3.0.4-1mdv2007.1 into SVN repository.



* Mon Mar 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.0.4 -1mdv2007.1
- fork from official package 
